<?php
GLOBAL $user;
/**
 * @file
 * Default theme implementation to present all variables to the theme layer for
 * the logged-in user block of the user_details module.
 *
 * Useable variables: (syntax: <?php print variable; ?>)
 * - $user_details_authored_name (user name of the logged-in user)
 * - $user_details_authored_avatar (user avatar of the logged-in user)
 * - $user_details_authored_joined (logged-in user's account creation date)
 * - $user_details_authored_postcount (number of posts the logged-in user has created)
 * - $user_details_authored_points (number of user points the logged-in user has)
 * - $user_details_authored_rank (logged-in user's user role)
 * - $user_details_authored_content (logged-in user's 3 most recently updated pieces of content)
 * - $user_details_authored_profilelink (link to the logged-in users profile)
 * - $user_details_authored_subscriptionslink (link to the logged-in user's subscription overview tab on thier profile)
 * - $user_details_authored_createlink (link to the create content page)
 * - $user_details_authored_logoutlink (link to logout the logged-in user)
 */
?>
<div id="user-details">
  <div id="authored">
    <?php if (variable_get('user_details_authored_avatar') != 0): ?>
      <div class="avatar"><?php print $user_details_authored_avatar; ?></div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_joined')!= 0): ?>
      <div class="joined">
        <div class="title"><?php print $user_details_authored_joined_title; ?>:</div>
        <div class="result"><?php print $user_details_authored_joined_result; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_postcount') != 0): ?>
      <div class="posts-count">
        <div class="title"><?php print $user_details_authored_postcount_title; ?>:</div>
        <div class="result"><?php print $user_details_authored_postcount_result; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_points') != 0 && module_exists('userpoints')): ?>
      <div class="points">
        <div class="title"><?php print $user_details_authored_points_title; ?>:</div>
        <div class="result"><?php print $user_details_authored_points_result; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_rank') != 0): ?>
      <div class="rank">
        <div class="title"><?php print $user_details_authored_rank_title; ?>:</div>
        <div class="result"><?php print $user_details_authored_rank_result; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_profilelink') != 0 || variable_get('user_details_authored_subscriptionslink') != 0 || variable_get('user_details_authored_createlink') != 0 || variable_get('user_details_authored_logoutlink') != 0 || variable_get('user_details_authored_adminlink') !=0): ?>
      <div class="quick-links">
        <?php if (variable_get('user_details_authored_profilelink') != 0): ?>
          <div class="profile-link">
            <a href="<?php print $user_details_authored_profilelink_url; ?>"><img src="<?php print $user_details_authored_profilelink_imgsrc; ?>" title="<?php print $user_details_authored_profilelink_imgtitle; ?>" width="20px" height="20px" /></a>
          </div>
        <?php endif; ?>
        <?php if (variable_get('user_details_authored_privatemsglink') != 0): ?>
          <div class="privatemsg-link">
            <a href="<?php print $user_details_authored_privatemsglink_url; ?>"><img src="<?php print $user_details_authored_privatemsglink_imgsrc; ?>" title="<?php print $user_details_authored_privatemsglink_imgtitle; ?>" width="20px" height="20px" /></a>
          </div>
        <?php endif; ?>
        <?php if (variable_get('user_details_authored_customlinkone_user') !=0 && user_access('view custom link one')): ?>
          <div class="custom-link-one">
            <a href="<?php print $user_details_authored_customlinkone_url; ?>"><img src="<?php print $user_details_authored_customlinkone_imgsrc; ?>" title="<?php print $user_details_authored_customlinkone_imgtitle; ?>" width="20px" height="20px" /></a>
          </div>
        <?php endif; ?>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_content') != 0): ?>
      <div class="content">
        <hr>
        <div class="title">My Content</div>
        <ul class="result">
          <?php print $user_details_authored_content; ?>
        </ul>
      </div>
    <?php endif; ?>
  </div>
</div>